# Makefile.in generated by automake 1.17 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2024 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@



VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
check_PROGRAMS = $(am__EXEEXT_1)
noinst_PROGRAMS = $(am__EXEEXT_1)
TESTS = $(am__EXEEXT_1)
subdir = src/lib-index
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_typeof.m4 \
	$(top_srcdir)/m4/arc4random.m4 $(top_srcdir)/m4/blockdev.m4 \
	$(top_srcdir)/m4/crypt.m4 $(top_srcdir)/m4/crypt_xpg6.m4 \
	$(top_srcdir)/m4/dbqlk.m4 $(top_srcdir)/m4/dirent_dtype.m4 \
	$(top_srcdir)/m4/dovecot.m4 $(top_srcdir)/m4/dovecot_pro.m4 \
	$(top_srcdir)/m4/faccessat2.m4 $(top_srcdir)/m4/fd_passing.m4 \
	$(top_srcdir)/m4/glibc.m4 $(top_srcdir)/m4/gmtime_max.m4 \
	$(top_srcdir)/m4/gmtime_tm_gmtoff.m4 \
	$(top_srcdir)/m4/ioloop.m4 $(top_srcdir)/m4/iovec.m4 \
	$(top_srcdir)/m4/libcap.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/linux_mremap.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/mmap_write.m4 \
	$(top_srcdir)/m4/mntctl.m4 $(top_srcdir)/m4/modules.m4 \
	$(top_srcdir)/m4/notify.m4 $(top_srcdir)/m4/nsl.m4 \
	$(top_srcdir)/m4/off_t_max.m4 $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/m4/pr_set_dumpable.m4 \
	$(top_srcdir)/m4/q_quotactl.m4 $(top_srcdir)/m4/quota.m4 \
	$(top_srcdir)/m4/random.m4 $(top_srcdir)/m4/rlimit.m4 \
	$(top_srcdir)/m4/sched.m4 $(top_srcdir)/m4/sendfile.m4 \
	$(top_srcdir)/m4/size_t_signed.m4 \
	$(top_srcdir)/m4/sockpeercred.m4 $(top_srcdir)/m4/sql.m4 \
	$(top_srcdir)/m4/ssl.m4 $(top_srcdir)/m4/st_tim.m4 \
	$(top_srcdir)/m4/test_with.m4 $(top_srcdir)/m4/time_t.m4 \
	$(top_srcdir)/m4/typeof.m4 $(top_srcdir)/m4/uoff_t_max.m4 \
	$(top_srcdir)/m4/vararg.m4 $(top_srcdir)/m4/want_apparmor.m4 \
	$(top_srcdir)/m4/want_bsdauth.m4 \
	$(top_srcdir)/m4/want_bzlib.m4 \
	$(top_srcdir)/m4/want_cassandra.m4 \
	$(top_srcdir)/m4/want_cdb.m4 \
	$(top_srcdir)/m4/want_flatcurve.m4 \
	$(top_srcdir)/m4/want_gssapi.m4 $(top_srcdir)/m4/want_icu.m4 \
	$(top_srcdir)/m4/want_ldap.m4 $(top_srcdir)/m4/want_lua.m4 \
	$(top_srcdir)/m4/want_lz4.m4 $(top_srcdir)/m4/want_mysql.m4 \
	$(top_srcdir)/m4/want_pam.m4 $(top_srcdir)/m4/want_passwd.m4 \
	$(top_srcdir)/m4/want_pcre.m4 $(top_srcdir)/m4/want_pgsql.m4 \
	$(top_srcdir)/m4/want_prefetch.m4 \
	$(top_srcdir)/m4/want_sodium.m4 $(top_srcdir)/m4/want_solr.m4 \
	$(top_srcdir)/m4/want_sqlite.m4 \
	$(top_srcdir)/m4/want_stemmer.m4 \
	$(top_srcdir)/m4/want_systemd.m4 \
	$(top_srcdir)/m4/want_textcat.m4 \
	$(top_srcdir)/m4/want_unwind.m4 $(top_srcdir)/m4/want_zstd.m4 \
	$(top_srcdir)/m4/zlib.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
	$(pkginc_lib_HEADERS) $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__EXEEXT_1 = test-mail-cache$(EXEEXT) \
	test-mail-cache-fields$(EXEEXT) test-mail-cache-purge$(EXEEXT) \
	test-mail-index$(EXEEXT) test-mail-index-map$(EXEEXT) \
	test-mail-index-modseq$(EXEEXT) \
	test-mail-index-sync-ext$(EXEEXT) \
	test-mail-index-transaction-finish$(EXEEXT) \
	test-mail-index-transaction-update$(EXEEXT) \
	test-mail-index-write$(EXEEXT) \
	test-mail-transaction-log-append$(EXEEXT) \
	test-mail-transaction-log-file$(EXEEXT) \
	test-mail-transaction-log-view$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
LTLIBRARIES = $(noinst_LTLIBRARIES)
libindex_la_LIBADD =
am_libindex_la_OBJECTS = mail-cache.lo mail-cache-decisions.lo \
	mail-cache-fields.lo mail-cache-lookup.lo mail-cache-purge.lo \
	mail-cache-transaction.lo mail-cache-sync-update.lo \
	mail-index.lo mail-index-alloc-cache.lo \
	mail-index-dummy-view.lo mail-index-fsck.lo mail-index-lock.lo \
	mail-index-map.lo mail-index-map-hdr.lo mail-index-map-read.lo \
	mail-index-modseq.lo mail-index-transaction.lo \
	mail-index-transaction-export.lo \
	mail-index-transaction-finish.lo \
	mail-index-transaction-sort-appends.lo \
	mail-index-transaction-update.lo \
	mail-index-transaction-view.lo mail-index-strmap.lo \
	mail-index-sync.lo mail-index-sync-ext.lo \
	mail-index-sync-keywords.lo mail-index-sync-update.lo \
	mail-index-util.lo mail-index-view.lo mail-index-view-sync.lo \
	mail-index-write.lo mail-transaction-log.lo \
	mail-transaction-log-append.lo mail-transaction-log-file.lo \
	mail-transaction-log-modseq.lo mail-transaction-log-view.lo \
	mailbox-log.lo
libindex_la_OBJECTS = $(am_libindex_la_OBJECTS)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
am_test_mail_cache_OBJECTS = test-mail-cache-common.$(OBJEXT) \
	test-mail-cache.$(OBJEXT)
test_mail_cache_OBJECTS = $(am_test_mail_cache_OBJECTS)
am_test_mail_cache_fields_OBJECTS = test-mail-cache-common.$(OBJEXT) \
	test-mail-cache-fields.$(OBJEXT)
test_mail_cache_fields_OBJECTS = $(am_test_mail_cache_fields_OBJECTS)
am_test_mail_cache_purge_OBJECTS = test-mail-cache-common.$(OBJEXT) \
	test-mail-cache-purge.$(OBJEXT)
test_mail_cache_purge_OBJECTS = $(am_test_mail_cache_purge_OBJECTS)
am_test_mail_index_OBJECTS = test-mail-index.$(OBJEXT)
test_mail_index_OBJECTS = $(am_test_mail_index_OBJECTS)
am_test_mail_index_map_OBJECTS = test-mail-index-map.$(OBJEXT)
test_mail_index_map_OBJECTS = $(am_test_mail_index_map_OBJECTS)
am_test_mail_index_modseq_OBJECTS = test-mail-index-modseq.$(OBJEXT)
test_mail_index_modseq_OBJECTS = $(am_test_mail_index_modseq_OBJECTS)
am_test_mail_index_sync_ext_OBJECTS =  \
	test-mail-index-sync-ext.$(OBJEXT)
test_mail_index_sync_ext_OBJECTS =  \
	$(am_test_mail_index_sync_ext_OBJECTS)
am_test_mail_index_transaction_finish_OBJECTS =  \
	test-mail-index-transaction-finish.$(OBJEXT)
test_mail_index_transaction_finish_OBJECTS =  \
	$(am_test_mail_index_transaction_finish_OBJECTS)
am_test_mail_index_transaction_update_OBJECTS =  \
	test-mail-index-transaction-update.$(OBJEXT)
test_mail_index_transaction_update_OBJECTS =  \
	$(am_test_mail_index_transaction_update_OBJECTS)
am_test_mail_index_write_OBJECTS = test-mail-index-write.$(OBJEXT)
test_mail_index_write_OBJECTS = $(am_test_mail_index_write_OBJECTS)
am_test_mail_transaction_log_append_OBJECTS =  \
	test-mail-transaction-log-append.$(OBJEXT)
test_mail_transaction_log_append_OBJECTS =  \
	$(am_test_mail_transaction_log_append_OBJECTS)
am_test_mail_transaction_log_file_OBJECTS =  \
	test-mail-transaction-log-file.$(OBJEXT)
test_mail_transaction_log_file_OBJECTS =  \
	$(am_test_mail_transaction_log_file_OBJECTS)
am_test_mail_transaction_log_view_OBJECTS =  \
	test-mail-transaction-log-view.$(OBJEXT)
test_mail_transaction_log_view_OBJECTS =  \
	$(am_test_mail_transaction_log_view_OBJECTS)
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/mail-cache-decisions.Plo \
	./$(DEPDIR)/mail-cache-fields.Plo \
	./$(DEPDIR)/mail-cache-lookup.Plo \
	./$(DEPDIR)/mail-cache-purge.Plo \
	./$(DEPDIR)/mail-cache-sync-update.Plo \
	./$(DEPDIR)/mail-cache-transaction.Plo \
	./$(DEPDIR)/mail-cache.Plo \
	./$(DEPDIR)/mail-index-alloc-cache.Plo \
	./$(DEPDIR)/mail-index-dummy-view.Plo \
	./$(DEPDIR)/mail-index-fsck.Plo \
	./$(DEPDIR)/mail-index-lock.Plo \
	./$(DEPDIR)/mail-index-map-hdr.Plo \
	./$(DEPDIR)/mail-index-map-read.Plo \
	./$(DEPDIR)/mail-index-map.Plo \
	./$(DEPDIR)/mail-index-modseq.Plo \
	./$(DEPDIR)/mail-index-strmap.Plo \
	./$(DEPDIR)/mail-index-sync-ext.Plo \
	./$(DEPDIR)/mail-index-sync-keywords.Plo \
	./$(DEPDIR)/mail-index-sync-update.Plo \
	./$(DEPDIR)/mail-index-sync.Plo \
	./$(DEPDIR)/mail-index-transaction-export.Plo \
	./$(DEPDIR)/mail-index-transaction-finish.Plo \
	./$(DEPDIR)/mail-index-transaction-sort-appends.Plo \
	./$(DEPDIR)/mail-index-transaction-update.Plo \
	./$(DEPDIR)/mail-index-transaction-view.Plo \
	./$(DEPDIR)/mail-index-transaction.Plo \
	./$(DEPDIR)/mail-index-util.Plo \
	./$(DEPDIR)/mail-index-view-sync.Plo \
	./$(DEPDIR)/mail-index-view.Plo \
	./$(DEPDIR)/mail-index-write.Plo ./$(DEPDIR)/mail-index.Plo \
	./$(DEPDIR)/mail-transaction-log-append.Plo \
	./$(DEPDIR)/mail-transaction-log-file.Plo \
	./$(DEPDIR)/mail-transaction-log-modseq.Plo \
	./$(DEPDIR)/mail-transaction-log-view.Plo \
	./$(DEPDIR)/mail-transaction-log.Plo \
	./$(DEPDIR)/mailbox-log.Plo \
	./$(DEPDIR)/test-mail-cache-common.Po \
	./$(DEPDIR)/test-mail-cache-fields.Po \
	./$(DEPDIR)/test-mail-cache-purge.Po \
	./$(DEPDIR)/test-mail-cache.Po \
	./$(DEPDIR)/test-mail-index-map.Po \
	./$(DEPDIR)/test-mail-index-modseq.Po \
	./$(DEPDIR)/test-mail-index-sync-ext.Po \
	./$(DEPDIR)/test-mail-index-transaction-finish.Po \
	./$(DEPDIR)/test-mail-index-transaction-update.Po \
	./$(DEPDIR)/test-mail-index-write.Po \
	./$(DEPDIR)/test-mail-index.Po \
	./$(DEPDIR)/test-mail-transaction-log-append.Po \
	./$(DEPDIR)/test-mail-transaction-log-file.Po \
	./$(DEPDIR)/test-mail-transaction-log-view.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libindex_la_SOURCES) $(test_mail_cache_SOURCES) \
	$(test_mail_cache_fields_SOURCES) \
	$(test_mail_cache_purge_SOURCES) $(test_mail_index_SOURCES) \
	$(test_mail_index_map_SOURCES) \
	$(test_mail_index_modseq_SOURCES) \
	$(test_mail_index_sync_ext_SOURCES) \
	$(test_mail_index_transaction_finish_SOURCES) \
	$(test_mail_index_transaction_update_SOURCES) \
	$(test_mail_index_write_SOURCES) \
	$(test_mail_transaction_log_append_SOURCES) \
	$(test_mail_transaction_log_file_SOURCES) \
	$(test_mail_transaction_log_view_SOURCES)
DIST_SOURCES = $(libindex_la_SOURCES) $(test_mail_cache_SOURCES) \
	$(test_mail_cache_fields_SOURCES) \
	$(test_mail_cache_purge_SOURCES) $(test_mail_index_SOURCES) \
	$(test_mail_index_map_SOURCES) \
	$(test_mail_index_modseq_SOURCES) \
	$(test_mail_index_sync_ext_SOURCES) \
	$(test_mail_index_transaction_finish_SOURCES) \
	$(test_mail_index_transaction_update_SOURCES) \
	$(test_mail_index_write_SOURCES) \
	$(test_mail_transaction_log_append_SOURCES) \
	$(test_mail_transaction_log_file_SOURCES) \
	$(test_mail_transaction_log_view_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
       $(am__cd) "$$dir" && echo $$files | $(am__xargs_n) 40 $(am__rm_f); }; \
  }
am__installdirs = "$(DESTDIR)$(pkginc_libdir)"
HEADERS = $(noinst_HEADERS) $(pkginc_lib_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
# A command that, given a newline-separated list of test names on the
# standard input, print the name of the tests that are to be re-run
# upon "make recheck".
am__list_recheck_tests = $(AWK) '{ \
  recheck = 1; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
        { \
          if ((getline line2 < ($$0 ".log")) < 0) \
	    recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
        { \
          recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
        { \
          break; \
        } \
    }; \
  if (recheck) \
    print $$0; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# A command that, given a newline-separated list of test names on the
# standard input, create the global log from their .trs and .log files.
am__create_global_log = $(AWK) ' \
function fatal(msg) \
{ \
  print "fatal: making $@: " msg | "cat >&2"; \
  exit 1; \
} \
function rst_section(header) \
{ \
  print header; \
  len = length(header); \
  for (i = 1; i <= len; i = i + 1) \
    printf "="; \
  printf "\n\n"; \
} \
{ \
  copy_in_global_log = 1; \
  global_test_result = "RUN"; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
         fatal("failed to read from " $$0 ".trs"); \
      if (line ~ /$(am__global_test_result_rx)/) \
        { \
          sub("$(am__global_test_result_rx)", "", line); \
          sub("[ 	]*$$", "", line); \
          global_test_result = line; \
        } \
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
        copy_in_global_log = 0; \
    }; \
  if (copy_in_global_log) \
    { \
      rst_section(global_test_result ": " $$0); \
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
      { \
        if (rc < 0) \
          fatal("failed to read from " $$0 ".log"); \
        print line; \
      }; \
      printf "\n"; \
    }; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# Restructured Text title.
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# Default flags passed to test drivers.
am__common_driver_flags = \
  --color-tests "$$am__color_tests" \
  $$am__collect_skipped_logs \
  --enable-hard-errors "$$am__enable_hard_errors" \
  --expect-failure "$$am__expect_failure"
# To be inserted before the command running the test.  Creates the
# directory for the log if needed.  Stores in $dir the directory
# containing $f, in $tst the test, in $log the log.  Executes the
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
# will run the test scripts (or their associated LOG_COMPILER, if
# thy have one).
am__check_pre = \
$(am__sh_e_setup);					\
$(am__vpath_adj_setup) $(am__vpath_adj)			\
$(am__tty_colors);					\
srcdir=$(srcdir); export srcdir;			\
case "$@" in						\
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    *) am__odir=.;; 					\
esac;							\
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
if test -f "./$$f"; then dir=./;			\
elif test -f "$$f"; then dir=;				\
else dir="$(srcdir)/"; fi;				\
tst=$$dir$$f; log='$@'; 				\
if test -n '$(IGNORE_SKIPPED_LOGS)'; then		\
  am__collect_skipped_logs='--collect-skipped-logs no';	\
else							\
  am__collect_skipped_logs='';				\
fi;							\
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  am__enable_hard_errors=no; 				\
else							\
  am__enable_hard_errors=yes; 				\
fi; 							\
case " $(XFAIL_TESTS) " in				\
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    am__expect_failure=yes;;				\
  *)							\
    am__expect_failure=no;;				\
esac; 							\
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
# A shell command to get the names of the tests scripts with any registered
# extension removed (i.e., equivalently, the names of the test logs, with
# the '.log' extension removed).  The result is saved in the shell variable
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
# since that might cause problem with VPATH rewrites for suffix-less tests.
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
am__set_TESTS_bases = \
  bases='$(TEST_LOGS)'; \
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  bases=`echo $$bases`
AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check recheck
TEST_SUITE_LOG = test-suite.log
TEST_EXTENSIONS = @EXEEXT@ .test
LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
am__set_b = \
  case '$@' in \
    */*) \
      case '$*' in \
        */*) b='$*';; \
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
       esac;; \
    *) \
      b='$*';; \
  esac
am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
TEST_LOGS = $(am__test_logs2:.test.log=.log)
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
	$(TEST_LOG_FLAGS)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/Makefile.test.include \
	$(top_srcdir)/build-aux/depcomp \
	$(top_srcdir)/build-aux/test-driver
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
ACLOCAL_AMFLAGS = @ACLOCAL_AMFLAGS@
AMTAR = @AMTAR@
AM_CFLAGS = @AM_CFLAGS@
AM_CXXFLAGS = @AM_CXXFLAGS@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AM_LDFLAGS = @AM_LDFLAGS@
APPARMOR_LIBS = @APPARMOR_LIBS@
AR = @AR@
AR_FLAGS = @AR_FLAGS@
AUTH_CFLAGS = @AUTH_CFLAGS@
AUTH_LIBS = @AUTH_LIBS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BINARY_CFLAGS = @BINARY_CFLAGS@
BINARY_LDFLAGS = @BINARY_LDFLAGS@
BISON = @BISON@
CASSANDRA_CFLAGS = @CASSANDRA_CFLAGS@
CASSANDRA_LIBS = @CASSANDRA_LIBS@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CDB_LIBS = @CDB_LIBS@
CFLAGS = @CFLAGS@
COMPRESS_LIBS = @COMPRESS_LIBS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CRYPT_LIBS = @CRYPT_LIBS@
CSCOPE = @CSCOPE@
CTAGS = @CTAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DICT_LIBS = @DICT_LIBS@
DLLIB = @DLLIB@
DLLTOOL = @DLLTOOL@
DOVECOT_ASSET_URL = @DOVECOT_ASSET_URL@
DOVECOT_ASSET_VERSION = @DOVECOT_ASSET_VERSION@
DOVECOT_CONFIG_VERSION = @DOVECOT_CONFIG_VERSION@
DOVECOT_HAVE_IMAP4REV2 = @DOVECOT_HAVE_IMAP4REV2@
DOVECOT_HAVE_MAIL_UTF8 = @DOVECOT_HAVE_MAIL_UTF8@
DOVECOT_PRO_BUILD = @DOVECOT_PRO_BUILD@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ETAGS = @ETAGS@
EXEEXT = @EXEEXT@
EXPAT_CFLAGS = @EXPAT_CFLAGS@
EXPAT_LIBS = @EXPAT_LIBS@
FGREP = @FGREP@
FILECMD = @FILECMD@
FLEX = @FLEX@
FUZZER_CPPFLAGS = @FUZZER_CPPFLAGS@
FUZZER_LDFLAGS = @FUZZER_LDFLAGS@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KRB5CONFIG = @KRB5CONFIG@
KRB5_CFLAGS = @KRB5_CFLAGS@
KRB5_LIBS = @KRB5_LIBS@
LD = @LD@
LDAP_CFLAGS = @LDAP_CFLAGS@
LDAP_LIBS = @LDAP_LIBS@
LDFLAGS = @LDFLAGS@
LD_NO_WHOLE_ARCHIVE = @LD_NO_WHOLE_ARCHIVE@
LD_WHOLE_ARCHIVE = @LD_WHOLE_ARCHIVE@
LIBCAP = @LIBCAP@
LIBDOVECOT = @LIBDOVECOT@
LIBDOVECOT_COMPRESS = @LIBDOVECOT_COMPRESS@
LIBDOVECOT_DEPS = @LIBDOVECOT_DEPS@
LIBDOVECOT_DSYNC = @LIBDOVECOT_DSYNC@
LIBDOVECOT_GSSAPI = @LIBDOVECOT_GSSAPI@
LIBDOVECOT_GSSAPI_DEPS = @LIBDOVECOT_GSSAPI_DEPS@
LIBDOVECOT_LA_LIBS = @LIBDOVECOT_LA_LIBS@
LIBDOVECOT_LDA = @LIBDOVECOT_LDA@
LIBDOVECOT_LDAP = @LIBDOVECOT_LDAP@
LIBDOVECOT_LIBLANG = @LIBDOVECOT_LIBLANG@
LIBDOVECOT_LIBLANG_DEPS = @LIBDOVECOT_LIBLANG_DEPS@
LIBDOVECOT_LOGIN = @LIBDOVECOT_LOGIN@
LIBDOVECOT_LUA = @LIBDOVECOT_LUA@
LIBDOVECOT_LUA_DEPS = @LIBDOVECOT_LUA_DEPS@
LIBDOVECOT_OPENSSL = @LIBDOVECOT_OPENSSL@
LIBDOVECOT_OPENSSL_DEPS = @LIBDOVECOT_OPENSSL_DEPS@
LIBDOVECOT_SQL = @LIBDOVECOT_SQL@
LIBDOVECOT_STORAGE = @LIBDOVECOT_STORAGE@
LIBDOVECOT_STORAGE_DEPS = @LIBDOVECOT_STORAGE_DEPS@
LIBDOVECOT_TEST_LIBS = @LIBDOVECOT_TEST_LIBS@
LIBEXTTEXTCAT_CFLAGS = @LIBEXTTEXTCAT_CFLAGS@
LIBEXTTEXTCAT_LIBS = @LIBEXTTEXTCAT_LIBS@
LIBICONV = @LIBICONV@
LIBICU_CFLAGS = @LIBICU_CFLAGS@
LIBICU_LIBS = @LIBICU_LIBS@
LIBOBJS = @LIBOBJS@
LIBPCRE_CFLAGS = @LIBPCRE_CFLAGS@
LIBPCRE_LIBS = @LIBPCRE_LIBS@
LIBPCRE_LIBS_STATIC = @LIBPCRE_LIBS_STATIC@
LIBS = @LIBS@
LIBSODIUM_CFLAGS = @LIBSODIUM_CFLAGS@
LIBSODIUM_LIBS = @LIBSODIUM_LIBS@
LIBTIRPC_CFLAGS = @LIBTIRPC_CFLAGS@
LIBTIRPC_LIBS = @LIBTIRPC_LIBS@
LIBTOOL = @LIBTOOL@
LIBUNWIND_CFLAGS = @LIBUNWIND_CFLAGS@
LIBUNWIND_LIBS = @LIBUNWIND_LIBS@
LINKED_STORAGE_LDADD = @LINKED_STORAGE_LDADD@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBICONV = @LTLIBICONV@
LTLIBOBJS = @LTLIBOBJS@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
LUA_CFLAGS = @LUA_CFLAGS@
LUA_LIBS = @LUA_LIBS@
LZ4_CFLAGS = @LZ4_CFLAGS@
LZ4_LIBS = @LZ4_LIBS@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MARIADB_CFLAGS = @MARIADB_CFLAGS@
MARIADB_LIBS = @MARIADB_LIBS@
MKDIR_P = @MKDIR_P@
MODULE_LIBS = @MODULE_LIBS@
MODULE_SUFFIX = @MODULE_SUFFIX@
MYSQL_CFLAGS = @MYSQL_CFLAGS@
MYSQL_LIBS = @MYSQL_LIBS@
NM = @NM@
NMEDIT = @NMEDIT@
NOPLUGIN_LDFLAGS = @NOPLUGIN_LDFLAGS@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
PGSQL_CFLAGS = @PGSQL_CFLAGS@
PGSQL_LIBS = @PGSQL_LIBS@
PIE_CFLAGS = @PIE_CFLAGS@
PIE_LDFLAGS = @PIE_LDFLAGS@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
PYTHON = @PYTHON@
QUOTA_LIBS = @QUOTA_LIBS@
RANLIB = @RANLIB@
RELRO_LDFLAGS = @RELRO_LDFLAGS@
RPCGEN = @RPCGEN@
RUN_TEST = @RUN_TEST@
SED = @SED@
SETTING_FILES = @SETTING_FILES@
SETTING_LINKED_FILES = @SETTING_LINKED_FILES@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SQLITE_CFLAGS = @SQLITE_CFLAGS@
SQLITE_LIBS = @SQLITE_LIBS@
SQL_CFLAGS = @SQL_CFLAGS@
SQL_LIBS = @SQL_LIBS@
SSL_CFLAGS = @SSL_CFLAGS@
SSL_LIBS = @SSL_LIBS@
STRIP = @STRIP@
SYSTEMD_CFLAGS = @SYSTEMD_CFLAGS@
SYSTEMD_LIBS = @SYSTEMD_LIBS@
VALGRIND = @VALGRIND@
VERSION = @VERSION@
WARN_CFLAGS = @WARN_CFLAGS@
WGET = @WGET@
XAPIAN_CFLAGS = @XAPIAN_CFLAGS@
XAPIAN_LIBS = @XAPIAN_LIBS@
ZLIB_CFLAGS = @ZLIB_CFLAGS@
ZLIB_LIBS = @ZLIB_LIBS@
ZLIB_LIBS_STATIC = @ZLIB_LIBS_STATIC@
ZSTD_CFLAGS = @ZSTD_CFLAGS@
ZSTD_LIBS = @ZSTD_LIBS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__rm_f_notfound = @am__rm_f_notfound@
am__tar = @am__tar@
am__untar = @am__untar@
am__xargs_n = @am__xargs_n@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
dict_drivers = @dict_drivers@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
moduledir = @moduledir@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
rundir = @rundir@
runstatedir = @runstatedir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sql_drivers = @sql_drivers@
srcdir = @srcdir@
ssldir = @ssldir@
statedir = @statedir@
sysconfdir = @sysconfdir@
systemdservicetype = @systemdservicetype@
systemdsystemunitdir = @systemdsystemunitdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
AUTOMAKE_OPTIONS = parallel-tests
TESTS_ENVIRONMENT = $(RUN_TEST) NOCHILDREN_TESTS="$(NOCHILDREN_TESTS)"
noinst_LTLIBRARIES = libindex.la
AM_CPPFLAGS = \
	-I$(top_srcdir)/src/lib \
	-I$(top_srcdir)/src/lib-test \
	-I$(top_srcdir)/src/lib-mail

libindex_la_SOURCES = \
	mail-cache.c \
	mail-cache-decisions.c \
	mail-cache-fields.c \
	mail-cache-lookup.c \
	mail-cache-purge.c \
	mail-cache-transaction.c \
	mail-cache-sync-update.c \
        mail-index.c \
        mail-index-alloc-cache.c \
        mail-index-dummy-view.c \
        mail-index-fsck.c \
        mail-index-lock.c \
        mail-index-map.c \
        mail-index-map-hdr.c \
        mail-index-map-read.c \
        mail-index-modseq.c \
        mail-index-transaction.c \
        mail-index-transaction-export.c \
        mail-index-transaction-finish.c \
        mail-index-transaction-sort-appends.c \
        mail-index-transaction-update.c \
        mail-index-transaction-view.c \
        mail-index-strmap.c \
        mail-index-sync.c \
        mail-index-sync-ext.c \
        mail-index-sync-keywords.c \
        mail-index-sync-update.c \
        mail-index-util.c \
        mail-index-view.c \
        mail-index-view-sync.c \
        mail-index-write.c \
        mail-transaction-log.c \
        mail-transaction-log-append.c \
        mail-transaction-log-file.c \
        mail-transaction-log-modseq.c \
        mail-transaction-log-view.c \
        mailbox-log.c

headers = \
	mail-cache.h \
	mail-cache-private.h \
	mail-index.h \
        mail-index-alloc-cache.h \
        mail-index-modseq.h \
	mail-index-private.h \
        mail-index-strmap.h \
	mail-index-sync-private.h \
	mail-index-transaction-private.h \
	mail-index-util.h \
	mail-index-view-private.h \
        mail-transaction-log.h \
	mail-transaction-log-private.h \
	mail-transaction-log-view-private.h \
        mailbox-log.h

test_programs = \
	test-mail-cache \
	test-mail-cache-fields \
	test-mail-cache-purge \
	test-mail-index \
	test-mail-index-map \
	test-mail-index-modseq \
	test-mail-index-sync-ext \
	test-mail-index-transaction-finish \
	test-mail-index-transaction-update \
	test-mail-index-write \
	test-mail-transaction-log-append \
	test-mail-transaction-log-file \
	test-mail-transaction-log-view

test_libs = \
	../lib-test/libtest.la \
	../lib/liblib.la

test_minimal_libs = \
	mail-index-util.lo \
	$(test_libs)

test_deps = $(noinst_LTLIBRARIES) $(test_libs)
test_mail_cache_SOURCES = test-mail-cache-common.c test-mail-cache.c
test_mail_cache_LDADD = $(noinst_LTLIBRARIES) $(test_libs)
test_mail_cache_DEPENDENCIES = $(test_deps)
test_mail_cache_fields_SOURCES = test-mail-cache-common.c test-mail-cache-fields.c
test_mail_cache_fields_LDADD = $(noinst_LTLIBRARIES) $(test_libs)
test_mail_cache_fields_DEPENDENCIES = $(test_deps)
test_mail_cache_purge_SOURCES = test-mail-cache-common.c test-mail-cache-purge.c
test_mail_cache_purge_LDADD = $(noinst_LTLIBRARIES) $(test_libs)
test_mail_cache_purge_DEPENDENCIES = $(test_deps)
test_mail_index_SOURCES = test-mail-index.c
test_mail_index_LDADD = $(noinst_LTLIBRARIES) $(test_libs)
test_mail_index_DEPENDENCIES = $(test_deps)
test_mail_index_map_SOURCES = test-mail-index-map.c
test_mail_index_map_LDADD = $(noinst_LTLIBRARIES) $(test_libs)
test_mail_index_map_DEPENDENCIES = $(test_deps)
test_mail_index_modseq_SOURCES = test-mail-index-modseq.c
test_mail_index_modseq_LDADD = $(noinst_LTLIBRARIES) $(test_libs)
test_mail_index_modseq_DEPENDENCIES = $(test_deps)
test_mail_index_sync_ext_SOURCES = test-mail-index-sync-ext.c
test_mail_index_sync_ext_LDADD = $(noinst_LTLIBRARIES) $(test_libs)
test_mail_index_sync_ext_DEPENDENCIES = $(test_deps)
test_mail_index_transaction_finish_SOURCES = test-mail-index-transaction-finish.c
test_mail_index_transaction_finish_LDADD = mail-index-transaction-finish.lo $(test_minimal_libs)
test_mail_index_transaction_finish_DEPENDENCIES = $(test_deps)
test_mail_index_transaction_update_SOURCES = test-mail-index-transaction-update.c
test_mail_index_transaction_update_LDADD = mail-index-transaction-update.lo $(test_minimal_libs)
test_mail_index_transaction_update_DEPENDENCIES = $(test_deps)
test_mail_index_write_SOURCES = test-mail-index-write.c
test_mail_index_write_LDADD = mail-index-write.lo $(test_minimal_libs)
test_mail_index_write_DEPENDENCIES = $(test_deps)
test_mail_transaction_log_append_SOURCES = test-mail-transaction-log-append.c
test_mail_transaction_log_append_LDADD = mail-transaction-log-append.lo $(test_minimal_libs)
test_mail_transaction_log_append_DEPENDENCIES = $(test_deps)
test_mail_transaction_log_file_SOURCES = test-mail-transaction-log-file.c
test_mail_transaction_log_file_LDADD = $(noinst_LTLIBRARIES) $(test_libs)
test_mail_transaction_log_file_DEPENDENCIES = $(test_deps)
test_mail_transaction_log_view_SOURCES = test-mail-transaction-log-view.c
test_mail_transaction_log_view_LDADD = mail-transaction-log-view.lo $(test_minimal_libs)
test_mail_transaction_log_view_DEPENDENCIES = $(test_deps)
pkginc_libdir = $(pkgincludedir)
pkginc_lib_HEADERS = $(headers)
noinst_HEADERS = \
	test-mail-cache.h \
	test-mail-index.h

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.test.include $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/lib-index/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign src/lib-index/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;
$(top_srcdir)/Makefile.test.include $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-checkPROGRAMS:
	$(am__rm_f) $(check_PROGRAMS)
	test -z "$(EXEEXT)" || $(am__rm_f) $(check_PROGRAMS:$(EXEEXT)=)

clean-noinstPROGRAMS:
	$(am__rm_f) $(noinst_PROGRAMS)
	test -z "$(EXEEXT)" || $(am__rm_f) $(noinst_PROGRAMS:$(EXEEXT)=)

clean-noinstLTLIBRARIES:
	-$(am__rm_f) $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	echo rm -f $${locs}; \
	$(am__rm_f) $${locs}

libindex.la: $(libindex_la_OBJECTS) $(libindex_la_DEPENDENCIES) $(EXTRA_libindex_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(LINK)  $(libindex_la_OBJECTS) $(libindex_la_LIBADD) $(LIBS)

test-mail-cache$(EXEEXT): $(test_mail_cache_OBJECTS) $(test_mail_cache_DEPENDENCIES) $(EXTRA_test_mail_cache_DEPENDENCIES) 
	@rm -f test-mail-cache$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_mail_cache_OBJECTS) $(test_mail_cache_LDADD) $(LIBS)

test-mail-cache-fields$(EXEEXT): $(test_mail_cache_fields_OBJECTS) $(test_mail_cache_fields_DEPENDENCIES) $(EXTRA_test_mail_cache_fields_DEPENDENCIES) 
	@rm -f test-mail-cache-fields$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_mail_cache_fields_OBJECTS) $(test_mail_cache_fields_LDADD) $(LIBS)

test-mail-cache-purge$(EXEEXT): $(test_mail_cache_purge_OBJECTS) $(test_mail_cache_purge_DEPENDENCIES) $(EXTRA_test_mail_cache_purge_DEPENDENCIES) 
	@rm -f test-mail-cache-purge$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_mail_cache_purge_OBJECTS) $(test_mail_cache_purge_LDADD) $(LIBS)

test-mail-index$(EXEEXT): $(test_mail_index_OBJECTS) $(test_mail_index_DEPENDENCIES) $(EXTRA_test_mail_index_DEPENDENCIES) 
	@rm -f test-mail-index$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_mail_index_OBJECTS) $(test_mail_index_LDADD) $(LIBS)

test-mail-index-map$(EXEEXT): $(test_mail_index_map_OBJECTS) $(test_mail_index_map_DEPENDENCIES) $(EXTRA_test_mail_index_map_DEPENDENCIES) 
	@rm -f test-mail-index-map$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_mail_index_map_OBJECTS) $(test_mail_index_map_LDADD) $(LIBS)

test-mail-index-modseq$(EXEEXT): $(test_mail_index_modseq_OBJECTS) $(test_mail_index_modseq_DEPENDENCIES) $(EXTRA_test_mail_index_modseq_DEPENDENCIES) 
	@rm -f test-mail-index-modseq$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_mail_index_modseq_OBJECTS) $(test_mail_index_modseq_LDADD) $(LIBS)

test-mail-index-sync-ext$(EXEEXT): $(test_mail_index_sync_ext_OBJECTS) $(test_mail_index_sync_ext_DEPENDENCIES) $(EXTRA_test_mail_index_sync_ext_DEPENDENCIES) 
	@rm -f test-mail-index-sync-ext$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_mail_index_sync_ext_OBJECTS) $(test_mail_index_sync_ext_LDADD) $(LIBS)

test-mail-index-transaction-finish$(EXEEXT): $(test_mail_index_transaction_finish_OBJECTS) $(test_mail_index_transaction_finish_DEPENDENCIES) $(EXTRA_test_mail_index_transaction_finish_DEPENDENCIES) 
	@rm -f test-mail-index-transaction-finish$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_mail_index_transaction_finish_OBJECTS) $(test_mail_index_transaction_finish_LDADD) $(LIBS)

test-mail-index-transaction-update$(EXEEXT): $(test_mail_index_transaction_update_OBJECTS) $(test_mail_index_transaction_update_DEPENDENCIES) $(EXTRA_test_mail_index_transaction_update_DEPENDENCIES) 
	@rm -f test-mail-index-transaction-update$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_mail_index_transaction_update_OBJECTS) $(test_mail_index_transaction_update_LDADD) $(LIBS)

test-mail-index-write$(EXEEXT): $(test_mail_index_write_OBJECTS) $(test_mail_index_write_DEPENDENCIES) $(EXTRA_test_mail_index_write_DEPENDENCIES) 
	@rm -f test-mail-index-write$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_mail_index_write_OBJECTS) $(test_mail_index_write_LDADD) $(LIBS)

test-mail-transaction-log-append$(EXEEXT): $(test_mail_transaction_log_append_OBJECTS) $(test_mail_transaction_log_append_DEPENDENCIES) $(EXTRA_test_mail_transaction_log_append_DEPENDENCIES) 
	@rm -f test-mail-transaction-log-append$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_mail_transaction_log_append_OBJECTS) $(test_mail_transaction_log_append_LDADD) $(LIBS)

test-mail-transaction-log-file$(EXEEXT): $(test_mail_transaction_log_file_OBJECTS) $(test_mail_transaction_log_file_DEPENDENCIES) $(EXTRA_test_mail_transaction_log_file_DEPENDENCIES) 
	@rm -f test-mail-transaction-log-file$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_mail_transaction_log_file_OBJECTS) $(test_mail_transaction_log_file_LDADD) $(LIBS)

test-mail-transaction-log-view$(EXEEXT): $(test_mail_transaction_log_view_OBJECTS) $(test_mail_transaction_log_view_DEPENDENCIES) $(EXTRA_test_mail_transaction_log_view_DEPENDENCIES) 
	@rm -f test-mail-transaction-log-view$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_mail_transaction_log_view_OBJECTS) $(test_mail_transaction_log_view_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-cache-decisions.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-cache-fields.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-cache-lookup.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-cache-purge.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-cache-sync-update.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-cache-transaction.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-cache.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-alloc-cache.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-dummy-view.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-fsck.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-lock.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-map-hdr.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-map-read.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-map.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-modseq.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-strmap.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-sync-ext.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-sync-keywords.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-sync-update.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-sync.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-transaction-export.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-transaction-finish.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-transaction-sort-appends.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-transaction-update.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-transaction-view.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-transaction.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-util.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-view-sync.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-view.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index-write.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-index.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-transaction-log-append.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-transaction-log-file.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-transaction-log-modseq.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-transaction-log-view.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail-transaction-log.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mailbox-log.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-cache-common.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-cache-fields.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-cache-purge.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-cache.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-index-map.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-index-modseq.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-index-sync-ext.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-index-transaction-finish.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-index-transaction-update.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-index-write.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-index.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-transaction-log-append.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-transaction-log-file.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-mail-transaction-log-view.Po@am__quote@ # am--include-marker

$(am__depfiles_remade):
	@$(MKDIR_P) $(@D)
	@: >>$@

am--depfiles: $(am__depfiles_remade)

.c.o:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<

.c.obj:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-pkginc_libHEADERS: $(pkginc_lib_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(pkginc_lib_HEADERS)'; test -n "$(pkginc_libdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkginc_libdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkginc_libdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkginc_libdir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkginc_libdir)" || exit $$?; \
	done

uninstall-pkginc_libHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(pkginc_lib_HEADERS)'; test -n "$(pkginc_libdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(pkginc_libdir)'; $(am__uninstall_files_from_dir)

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

# Recover from deleted '.trs' file; this should ensure that
# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
# to avoid problems with "make -n".
.log.trs:
	rm -f $< $@
	$(MAKE) $(AM_MAKEFLAGS) $<

# Leading 'am--fnord' is there to ensure the list of targets does not
# expand to empty, as could happen e.g. with make check TESTS=''.
am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
am--force-recheck:
	@:
$(TEST_SUITE_LOG): $(TEST_LOGS)
	@$(am__set_TESTS_bases); \
	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
	redo_bases=`for i in $$bases; do \
	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
	            done`; \
	if test -n "$$redo_bases"; then \
	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
	  if $(am__make_dryrun); then :; else \
	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
	  fi; \
	fi; \
	if test -n "$$am__remaking_logs"; then \
	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
	       "recursion detected" >&2; \
	elif test -n "$$redo_logs"; then \
	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
	fi; \
	if $(am__make_dryrun); then :; else \
	  st=0;  \
	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
	  for i in $$redo_bases; do \
	    test -f $$i.trs && test -r $$i.trs \
	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
	    test -f $$i.log && test -r $$i.log \
	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
	  done; \
	  test $$st -eq 0 || exit 1; \
	fi
	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
	ws='[ 	]'; \
	results=`for b in $$bases; do echo $$b.trs; done`; \
	test -n "$$results" || results=/dev/null; \
	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
	  success=true; \
	else \
	  success=false; \
	fi; \
	br='==================='; br=$$br$$br$$br$$br; \
	result_count () \
	{ \
	    if test x"$$1" = x"--maybe-color"; then \
	      maybe_colorize=yes; \
	    elif test x"$$1" = x"--no-color"; then \
	      maybe_colorize=no; \
	    else \
	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
	    fi; \
	    shift; \
	    desc=$$1 count=$$2; \
	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
	      color_start=$$3 color_end=$$std; \
	    else \
	      color_start= color_end=; \
	    fi; \
	    echo "$${color_start}# $$desc $$count$${color_end}"; \
	}; \
	create_testsuite_report () \
	{ \
	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
	  result_count $$1 "PASS: " $$pass  "$$grn"; \
	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
	  result_count $$1 "FAIL: " $$fail  "$$red"; \
	  result_count $$1 "XPASS:" $$xpass "$$red"; \
	  result_count $$1 "ERROR:" $$error "$$mgn"; \
	}; \
	output_system_information () \
	{ \
          echo;                                     \
	  { uname -a | $(AWK) '{                    \
  printf "System information (uname -a):";          \
  for (i = 1; i < NF; ++i)                          \
    {                                               \
      if (i != 2)                                   \
        printf " %s", $$i;                          \
    }                                               \
  printf "\n";                                      \
}'; } 2>&1;                                         \
	  if test -r /etc/os-release; then          \
	    echo "Distribution information (/etc/os-release):"; \
	    sed 8q /etc/os-release;                 \
	  elif test -r /etc/issue; then             \
	    echo "Distribution information (/etc/issue):";      \
	    cat /etc/issue;                         \
	  fi;                                       \
	}; \
	please_report () \
	{ \
echo "Some test(s) failed.  Please report this to $(PACKAGE_BUGREPORT),";    \
echo "together with the test-suite.log file (gzipped) and your system";      \
echo "information.  Thanks.";                                                \
	}; \
	{								\
	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
	    $(am__rst_title);						\
	  create_testsuite_report --no-color;				\
	  output_system_information;                                    \
	  echo;								\
	  echo ".. contents:: :depth: 2";				\
	  echo;								\
	  for b in $$bases; do echo $$b; done				\
	    | $(am__create_global_log);					\
	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
	if $$success; then						\
	  col="$$grn";							\
	 else								\
	  col="$$red";							\
	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
	fi;								\
	echo "$${col}$$br$${std}"; 					\
	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
	echo "$${col}$$br$${std}"; 					\
	create_testsuite_report --maybe-color;				\
	echo "$$col$$br$$std";						\
	if $$success; then :; else					\
	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG) for debugging.$${std}";\
	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
	    please_report | sed -e "s/^/$${col}/" -e s/'$$'/"$${std}"/; \
	  fi;								\
	  echo "$$col$$br$$std";					\
	fi;								\
	$$success || exit 1

check-TESTS: $(check_PROGRAMS)
	@$(am__rm_f) $(RECHECK_LOGS)
	@$(am__rm_f) $(RECHECK_LOGS:.log=.trs)
	@$(am__rm_f) $(TEST_SUITE_LOG)
	@set +e; $(am__set_TESTS_bases); \
	log_list=`for i in $$bases; do echo $$i.log; done`; \
	log_list=`echo $$log_list`; \
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
	exit $$?;
recheck: all $(check_PROGRAMS)
	@$(am__rm_f) $(TEST_SUITE_LOG)
	@set +e; $(am__set_TESTS_bases); \
	bases=`for i in $$bases; do echo $$i; done \
	         | $(am__list_recheck_tests)` || exit 1; \
	log_list=`for i in $$bases; do echo $$i.log; done`; \
	log_list=`echo $$log_list`; \
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
	        am__force_recheck=am--force-recheck \
	        TEST_LOGS="$$log_list"; \
	exit $$?
test-mail-cache.log: test-mail-cache$(EXEEXT)
	@p='test-mail-cache$(EXEEXT)'; \
	b='test-mail-cache'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
test-mail-cache-fields.log: test-mail-cache-fields$(EXEEXT)
	@p='test-mail-cache-fields$(EXEEXT)'; \
	b='test-mail-cache-fields'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
test-mail-cache-purge.log: test-mail-cache-purge$(EXEEXT)
	@p='test-mail-cache-purge$(EXEEXT)'; \
	b='test-mail-cache-purge'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
test-mail-index.log: test-mail-index$(EXEEXT)
	@p='test-mail-index$(EXEEXT)'; \
	b='test-mail-index'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
test-mail-index-map.log: test-mail-index-map$(EXEEXT)
	@p='test-mail-index-map$(EXEEXT)'; \
	b='test-mail-index-map'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
test-mail-index-modseq.log: test-mail-index-modseq$(EXEEXT)
	@p='test-mail-index-modseq$(EXEEXT)'; \
	b='test-mail-index-modseq'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
test-mail-index-sync-ext.log: test-mail-index-sync-ext$(EXEEXT)
	@p='test-mail-index-sync-ext$(EXEEXT)'; \
	b='test-mail-index-sync-ext'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
test-mail-index-transaction-finish.log: test-mail-index-transaction-finish$(EXEEXT)
	@p='test-mail-index-transaction-finish$(EXEEXT)'; \
	b='test-mail-index-transaction-finish'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
test-mail-index-transaction-update.log: test-mail-index-transaction-update$(EXEEXT)
	@p='test-mail-index-transaction-update$(EXEEXT)'; \
	b='test-mail-index-transaction-update'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
test-mail-index-write.log: test-mail-index-write$(EXEEXT)
	@p='test-mail-index-write$(EXEEXT)'; \
	b='test-mail-index-write'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
test-mail-transaction-log-append.log: test-mail-transaction-log-append$(EXEEXT)
	@p='test-mail-transaction-log-append$(EXEEXT)'; \
	b='test-mail-transaction-log-append'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
test-mail-transaction-log-file.log: test-mail-transaction-log-file$(EXEEXT)
	@p='test-mail-transaction-log-file$(EXEEXT)'; \
	b='test-mail-transaction-log-file'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
test-mail-transaction-log-view.log: test-mail-transaction-log-view$(EXEEXT)
	@p='test-mail-transaction-log-view$(EXEEXT)'; \
	b='test-mail-transaction-log-view'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
.test.log:
	@p='$<'; \
	$(am__set_b); \
	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
@am__EXEEXT_TRUE@.test$(EXEEXT).log:
@am__EXEEXT_TRUE@	@p='$<'; \
@am__EXEEXT_TRUE@	$(am__set_b); \
@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile $(PROGRAMS) $(LTLIBRARIES) $(HEADERS)
installdirs:
	for dir in "$(DESTDIR)$(pkginc_libdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:
	-$(am__rm_f) $(TEST_LOGS)
	-$(am__rm_f) $(TEST_LOGS:.log=.trs)
	-$(am__rm_f) $(TEST_SUITE_LOG)

clean-generic:

distclean-generic:
	-$(am__rm_f) $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || $(am__rm_f) $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
	clean-noinstLTLIBRARIES clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-am
	-rm -f ./$(DEPDIR)/mail-cache-decisions.Plo
	-rm -f ./$(DEPDIR)/mail-cache-fields.Plo
	-rm -f ./$(DEPDIR)/mail-cache-lookup.Plo
	-rm -f ./$(DEPDIR)/mail-cache-purge.Plo
	-rm -f ./$(DEPDIR)/mail-cache-sync-update.Plo
	-rm -f ./$(DEPDIR)/mail-cache-transaction.Plo
	-rm -f ./$(DEPDIR)/mail-cache.Plo
	-rm -f ./$(DEPDIR)/mail-index-alloc-cache.Plo
	-rm -f ./$(DEPDIR)/mail-index-dummy-view.Plo
	-rm -f ./$(DEPDIR)/mail-index-fsck.Plo
	-rm -f ./$(DEPDIR)/mail-index-lock.Plo
	-rm -f ./$(DEPDIR)/mail-index-map-hdr.Plo
	-rm -f ./$(DEPDIR)/mail-index-map-read.Plo
	-rm -f ./$(DEPDIR)/mail-index-map.Plo
	-rm -f ./$(DEPDIR)/mail-index-modseq.Plo
	-rm -f ./$(DEPDIR)/mail-index-strmap.Plo
	-rm -f ./$(DEPDIR)/mail-index-sync-ext.Plo
	-rm -f ./$(DEPDIR)/mail-index-sync-keywords.Plo
	-rm -f ./$(DEPDIR)/mail-index-sync-update.Plo
	-rm -f ./$(DEPDIR)/mail-index-sync.Plo
	-rm -f ./$(DEPDIR)/mail-index-transaction-export.Plo
	-rm -f ./$(DEPDIR)/mail-index-transaction-finish.Plo
	-rm -f ./$(DEPDIR)/mail-index-transaction-sort-appends.Plo
	-rm -f ./$(DEPDIR)/mail-index-transaction-update.Plo
	-rm -f ./$(DEPDIR)/mail-index-transaction-view.Plo
	-rm -f ./$(DEPDIR)/mail-index-transaction.Plo
	-rm -f ./$(DEPDIR)/mail-index-util.Plo
	-rm -f ./$(DEPDIR)/mail-index-view-sync.Plo
	-rm -f ./$(DEPDIR)/mail-index-view.Plo
	-rm -f ./$(DEPDIR)/mail-index-write.Plo
	-rm -f ./$(DEPDIR)/mail-index.Plo
	-rm -f ./$(DEPDIR)/mail-transaction-log-append.Plo
	-rm -f ./$(DEPDIR)/mail-transaction-log-file.Plo
	-rm -f ./$(DEPDIR)/mail-transaction-log-modseq.Plo
	-rm -f ./$(DEPDIR)/mail-transaction-log-view.Plo
	-rm -f ./$(DEPDIR)/mail-transaction-log.Plo
	-rm -f ./$(DEPDIR)/mailbox-log.Plo
	-rm -f ./$(DEPDIR)/test-mail-cache-common.Po
	-rm -f ./$(DEPDIR)/test-mail-cache-fields.Po
	-rm -f ./$(DEPDIR)/test-mail-cache-purge.Po
	-rm -f ./$(DEPDIR)/test-mail-cache.Po
	-rm -f ./$(DEPDIR)/test-mail-index-map.Po
	-rm -f ./$(DEPDIR)/test-mail-index-modseq.Po
	-rm -f ./$(DEPDIR)/test-mail-index-sync-ext.Po
	-rm -f ./$(DEPDIR)/test-mail-index-transaction-finish.Po
	-rm -f ./$(DEPDIR)/test-mail-index-transaction-update.Po
	-rm -f ./$(DEPDIR)/test-mail-index-write.Po
	-rm -f ./$(DEPDIR)/test-mail-index.Po
	-rm -f ./$(DEPDIR)/test-mail-transaction-log-append.Po
	-rm -f ./$(DEPDIR)/test-mail-transaction-log-file.Po
	-rm -f ./$(DEPDIR)/test-mail-transaction-log-view.Po
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-pkginc_libHEADERS

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f ./$(DEPDIR)/mail-cache-decisions.Plo
	-rm -f ./$(DEPDIR)/mail-cache-fields.Plo
	-rm -f ./$(DEPDIR)/mail-cache-lookup.Plo
	-rm -f ./$(DEPDIR)/mail-cache-purge.Plo
	-rm -f ./$(DEPDIR)/mail-cache-sync-update.Plo
	-rm -f ./$(DEPDIR)/mail-cache-transaction.Plo
	-rm -f ./$(DEPDIR)/mail-cache.Plo
	-rm -f ./$(DEPDIR)/mail-index-alloc-cache.Plo
	-rm -f ./$(DEPDIR)/mail-index-dummy-view.Plo
	-rm -f ./$(DEPDIR)/mail-index-fsck.Plo
	-rm -f ./$(DEPDIR)/mail-index-lock.Plo
	-rm -f ./$(DEPDIR)/mail-index-map-hdr.Plo
	-rm -f ./$(DEPDIR)/mail-index-map-read.Plo
	-rm -f ./$(DEPDIR)/mail-index-map.Plo
	-rm -f ./$(DEPDIR)/mail-index-modseq.Plo
	-rm -f ./$(DEPDIR)/mail-index-strmap.Plo
	-rm -f ./$(DEPDIR)/mail-index-sync-ext.Plo
	-rm -f ./$(DEPDIR)/mail-index-sync-keywords.Plo
	-rm -f ./$(DEPDIR)/mail-index-sync-update.Plo
	-rm -f ./$(DEPDIR)/mail-index-sync.Plo
	-rm -f ./$(DEPDIR)/mail-index-transaction-export.Plo
	-rm -f ./$(DEPDIR)/mail-index-transaction-finish.Plo
	-rm -f ./$(DEPDIR)/mail-index-transaction-sort-appends.Plo
	-rm -f ./$(DEPDIR)/mail-index-transaction-update.Plo
	-rm -f ./$(DEPDIR)/mail-index-transaction-view.Plo
	-rm -f ./$(DEPDIR)/mail-index-transaction.Plo
	-rm -f ./$(DEPDIR)/mail-index-util.Plo
	-rm -f ./$(DEPDIR)/mail-index-view-sync.Plo
	-rm -f ./$(DEPDIR)/mail-index-view.Plo
	-rm -f ./$(DEPDIR)/mail-index-write.Plo
	-rm -f ./$(DEPDIR)/mail-index.Plo
	-rm -f ./$(DEPDIR)/mail-transaction-log-append.Plo
	-rm -f ./$(DEPDIR)/mail-transaction-log-file.Plo
	-rm -f ./$(DEPDIR)/mail-transaction-log-modseq.Plo
	-rm -f ./$(DEPDIR)/mail-transaction-log-view.Plo
	-rm -f ./$(DEPDIR)/mail-transaction-log.Plo
	-rm -f ./$(DEPDIR)/mailbox-log.Plo
	-rm -f ./$(DEPDIR)/test-mail-cache-common.Po
	-rm -f ./$(DEPDIR)/test-mail-cache-fields.Po
	-rm -f ./$(DEPDIR)/test-mail-cache-purge.Po
	-rm -f ./$(DEPDIR)/test-mail-cache.Po
	-rm -f ./$(DEPDIR)/test-mail-index-map.Po
	-rm -f ./$(DEPDIR)/test-mail-index-modseq.Po
	-rm -f ./$(DEPDIR)/test-mail-index-sync-ext.Po
	-rm -f ./$(DEPDIR)/test-mail-index-transaction-finish.Po
	-rm -f ./$(DEPDIR)/test-mail-index-transaction-update.Po
	-rm -f ./$(DEPDIR)/test-mail-index-write.Po
	-rm -f ./$(DEPDIR)/test-mail-index.Po
	-rm -f ./$(DEPDIR)/test-mail-transaction-log-append.Po
	-rm -f ./$(DEPDIR)/test-mail-transaction-log-file.Po
	-rm -f ./$(DEPDIR)/test-mail-transaction-log-view.Po
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-pkginc_libHEADERS

.MAKE: check-am install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
	check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
	clean-noinstLTLIBRARIES clean-noinstPROGRAMS cscopelist-am \
	ctags ctags-am distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-pdf install-pdf-am \
	install-pkginc_libHEADERS install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	pdf pdf-am ps ps-am recheck tags tags-am uninstall \
	uninstall-am uninstall-pkginc_libHEADERS

.PRECIOUS: Makefile


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

# Tell GNU make to disable its built-in pattern rules.
%:: %,v
%:: RCS/%,v
%:: RCS/%
%:: s.%
%:: SCCS/s.%
